#Hannah tutorial
#file:///Users/apple/Downloads/KLabWorkshop.html#/41
#http://www.phytools.org/eqg2015/asr.html

#Does Ancestral state resconstruction on phylogenetic tree
#install.packages("ape")
#install.packages("geiger")
library(ape)
library(phytools)
library(geiger)


lep_tree<-read.tree("~/Desktop/vis-trans/SMBE/Fig6/pruned_tree.tre")
characterTable <- read.csv('~/Desktop/vis-trans/SMBE/Fig6/pruned_char_data.csv', row.names = 1)
#Filter
#characterTable=subset(characterTable,characterTable$rh4_uv <=1)
#Prune tree and dataset
treeWData <- treedata(lep_tree, characterTable, sort = T);

#Entering in discrete tip values
recon <- ace(treeWData$data[,12], treeWData$phy, type = "discrete", method = "ML", model = "ER");
#Do reconstruction (equal likelihood for all transitions)
recon;  #What it looks like
round(recon$lik.anc,3)


#David material
#UV
S1tree<-treeWData$phy
name.check(S1tree,matrix)
mtree<-make.simmap(S1tree,treeWData$data[,10],model="SYM",nsim=100)
pd<-summary(mtree,plot=FALSE)
#1. Save file creationlibrary(geiger)

pdf(file = "~/Desktop/vis-trans/SMBE/Fig6/test_uv.pdf",   # The directory you want to save the file in
    width = 6, # The width of the plot in inches
    height = 8) # The height of the plot in inches
# Step 2: Create the plot with R code

plot(pd,fsize=.4,direction="upwards",cex=c(0.2,0.1))
# Step 2: Create the plot with R code
# Step 3: Run dev.off() to create the file!
dev.off()